package com.izouma.awesomeadmin.service;

import java.util.List;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SysDatarule;

/**
 * sys_datarule service接口类
 * Tue Apr 17 10:44:06 CST 2018  Suo Chen Cheng
 */ 
public interface SysDataruleService {

	List <SysDatarule> getSysDataruleList(SysDatarule record);

	List <SysDatarule> getSysDataruleByPage(Page page, SysDatarule record);

	SysDatarule getSysDataruleById(String id);

	SysDatarule getSysDatarule(SysDatarule record);

	boolean createSysDatarule(SysDatarule record);

	boolean deleteSysDatarule(String id);

	boolean updateSysDatarule(SysDatarule record);

}

